> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#body.RetrievePlannableLocationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#body.aspect)
- [PlannableLocation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#PlannableLocation)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#PlannableLocation.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#try-it)

Retrieves the list of countries where reach forecasting is supported.

<br />

> [!WARNING]
> API support for generating reach forecasts and retrieving related metadata is in beta. This method is only available to allowlisted users.

<br />

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/reachForecast:retrievePlannableLocations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser to list plannable locations for. |

### Request body

The request body must be empty.

### Response body

Response for reachForecast.retrievePlannableLocations

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "plannableLocations": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#PlannableLocation`) } ] } ``` |

| Fields ||
|---|---|
| `plannableLocations[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableLocations#PlannableLocation`)`` Output only. The list of plannable locations. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PlannableLocation

A plannable location used for forecasting.

| JSON representation |
|---|
| ``` { "name": string, "displayName": string, "geoRegionType": enum (`https://developers.google.com/display-video/api/reference/rest/v5/GeoRegionType`), "plannableLocationId": string, "regionCode": string, "parentPlannableLocationId": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. The resource name of the plannable location. |
| `displayName` | `string` Output only. The display name of the location, for example "Algeria". |
| `geoRegionType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v5/GeoRegionType`)`` Output only. The type of location. |
| `plannableLocationId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The plannable location ID. |
| `regionCode` | `string` Output only. The region code of the location, for example "DZ" for Algeria. |
| `parentPlannableLocationId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The parent plannable location ID, for example the country ID for subgeos. |